<?xml version="1.0" encoding="euc-kr" ?>

<tle>
	<default-request-processor usingIndependentClassPath="false">
		<!--
			별도의 클래스패스를 통해서 CommandHandler를 읽어올 경우에 사용한다.
			이 클래스패스에 포함된 CommandHandler는 리로딩이 가능한다.
		<handler-class-path-array>
			<class-path>{context.path}\WEB-INF\classescommand</class-path>
		</handler-class-path-array>
		-->
		
		<handler-list>
			<handler id="greeting" class="test.tle.command.GreetingCommandHandler" />
			<handler id="fileProcessing" jsp="/handler/uploadFileHandler.jsp" />
			
			<load-handler file="{context.path}/WEB-INF/config/DefaultRequestProcessor.handler.login.xml" />
		</handler-list>
		
		<!--
			 defaultHandler의 값
			 
			 GOVIEW - 매핑되는 핸들러가 없는 경우 바로 UICreator로 이동한다.
			 NOHANDLER - 매핑되는 핸들러가 없는 경우 에러를 발생한다.
		-->
		<command-handler-mapping defaultHandler="GOVIEW">
			<!-- handlerID 속성의 값이 
			     default.GOVIEW 이거나 default.NOHANDLER 이면 기본 핸들러를 사용한다.
			--> 
			<mapping commandID="/greeting.do" handlerID="greeting" />
			<mapping commandID="/uploadFile.do" handlerID="fileProcessing" />
			
			<load-mapping-list file="{context.path}/WEB-INF/config/DefaultRequestProcessor.mapping.login.xml" />
		</command-handler-mapping>
		
	</default-request-processor>
</tle>